%define coin_includedir %{expand:%%(coin-config --includedir)}
%define coin_htmldir %{expand:%%(coin-config --datadir)/Coin2}

Summary: High-level 3D visualization library
Name: SoQt
Version: 1.4.1
Release: 10%{?dist}

License: GPLv2
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/SoQt-%{version}.tar.gz

Patch2: SoQt-1.2.0-man3.diff

BuildRequires: doxygen
BuildRequires: /usr/bin/iconv
BuildRequires: Coin2-devel qt3-devel
BuildRequires: libXi-devel

Provides: Coin2-SoQt = %{version}-%{release}

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

%package devel
Summary: Development files for SoQt
Requires: %{name} = %{version}-%{release}
Requires: %{_datadir}/aclocal
Requires: Coin2-devel qt3-devel
Requires: libXi-devel
Provides: Coin2-SoQt-devel = %{version}-%{release}
Group: Development/Libraries

%description devel
Development package for SoQt

%prep
%setup -q
%patch2 -p1

# HACK ALERT
# The sources are ISO-8859-1 encoded
# We want doxygen to generate utf-8 encoded docs from them
sed -i \
 -e 's,^\(INPUT_FILTER.*=\).*$,\1 \"/usr/bin/iconv -f ISO-8859-1 -t utf-8\",' \
  src/Inventor/Qt/common/sogui.doxygen.in

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure \
	--includedir=%{coin_includedir} \
	--without-mesa \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	htmldir=%{coin_htmldir}/SoQt
make

# Strip the default libdir
sed -i -e "s,-L%{_libdir} ,," soqt-default.cfg

# soqt-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin2/conf/,g" soqt-config

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libSoQt.*a

install -d -m 755 ${RPM_BUILD_ROOT}%{_libdir}/Coin2
mv ${RPM_BUILD_ROOT}%{_datadir}/Coin/conf ${RPM_BUILD_ROOT}%{_libdir}/Coin2

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog* COPYING README* LICENSE*
%{_libdir}/libSoQt.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/aclocal/soqt.m4
%{_datadir}/Coin
%doc %{coin_htmldir}/*
%{coin_includedir}/*
%{_libdir}/libSoQt.so
%{_libdir}/Coin2
%{_mandir}/man?/*.?.gz

%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.1-9
- s/qt-devel/qt3-devel/

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-8
- Rebuild for gcc43.

* Thu Nov 29 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-7
- Rebuild against Coin-2.5.0.
- Rebuild with doxygen-1.5.3-1 (BZ 343211).

* Wed Aug 22 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-6
- Mass rebuild.
- Update license tag.

* Tue Feb 20 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-5
- Install soqt-default.cfg into %%{_prefix}/%%{_lib}

* Mon Feb 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-4
- Filter errant -L%%_libdir from soqt-config.cfg.
- Remove *.la.

* Fri Jan 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-3
- BR: libXi-devel, R: libXi-devel 
  (Work-around to XInput.h/libXi packaging issues).

* Sat Nov 04 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-2
- Inc Release due to buildsys bug.

* Sat Nov 04 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-1
- Upstream update.

* Tue Sep 08 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.0-1
- Upstream update.
- Add utf-8/doxygen hack.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.3.0-4
- Mass rebuild.

* Wed May 31 2006 Ralf Corsépius <rc040203@freenet.de> - 0:1.3.0-3
- Rebuild against Coin-2.4.5.
- Spec file cleanup.

* Mon Feb 20 2006 Ralf Corsépius <rc040203@freenet.de> - 0:1.3.0-2
- Rebuild for FC5.

* Fri Sep 23 2005 Ralf Corsepius <rc040203@freenet.de> - 0:1.3.0-1
- Update to 1.3.0
- Build w/o simacros.
